/* z80debug Header */

#ifndef HEADER_Z80DEBUG_H
#define HEADER_Z80DEBUG_H

int z80debug_init (void);
int z80debug_deinit (void);
int z80debug_reset (void);
int z80debug_before (void);
void z80debug_after (void);
void z80debug_dump (int addr, int lines, int htype);
void z80debug_command (int cmd);

typedef struct debug_t
   {
    char break_point[0x10000];
    int debug;
    int mode;    
    int show;
    int step;
    int debugcount;
    int showcount;
    int break_point_count;
    int dump_addr;
   }debug_t;

#endif  /* HEADER_Z80DEBUG_H */
